## EvSidebarLinks EvSidebarLinks |

## Synopsis

                        EvSidebarLinks;
                        EvSidebarLinksClass;
                        EvSidebarLinksPrivate;
    GtkWidget *         ev_sidebar_links_new                (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----EvSidebarLinks

## Implemented Interfaces

EvSidebarLinks implements AtkImplementorIface, GtkBuildable, GtkOrientable and EvSidebarPage.

## Properties

      "model"                    GtkTreeModel*         : Read / Write

## Signals

      "link-activated"                                 : Run Last / Action

## Description

## Details

### EvSidebarLinks

    typedef struct _EvSidebarLinks EvSidebarLinks;

### EvSidebarLinksClass

    typedef struct {
    	GtkVBoxClass base_class;

    	void    (* link_activated) (EvSidebarLinks *sidebar_links,
    				    EvLink         *link);
    } EvSidebarLinksClass;

### EvSidebarLinksPrivate

    typedef struct _EvSidebarLinksPrivate EvSidebarLinksPrivate;

### ev_sidebar_links_new ()

    GtkWidget *         ev_sidebar_links_new                (void);

Returns : |

## Property Details

### The `"model"` property

      "model"                    GtkTreeModel*         : Read / Write

Current Model.

## Signal Details

### The `"link-activated"` signal

    void                user_function                      (EvSidebarLinks *evsidebarlinks,
                                                            GObject        *arg1,
                                                            gpointer        user_data)           : Run Last / Action